Bug 1428903 - disable local login does not work when cfme external auth is configured for IPA
Summary: disable local login does not work when cfme external auth is configured for IPA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: abellott
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:externalauth:saml:ui
Depends On: 1389122
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 15:06 UTC by Satoe Imaishi
Modified: 2017-04-12 14:41 UTC (History)
5 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1389122
Environment:
Last Closed: 2017-04-12 14:41:57 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-03 15:36:10 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/948e747983ced3d14d1de473c515cd33df02afce

commit 948e747983ced3d14d1de473c515cd33df02afce
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Jan 24 11:53:01 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Mar 3 10:30:11 2017 -0500

    Merge pull request #210 from abellotti/fix_local_login_checkbox
    
    Only show Disable local login checkbox with SAML is enabled.
    (cherry picked from commit 7bf93779583700c86a0b64162d717e959ebf0825)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1428903

 app/controllers/ops_controller/settings/common.rb    |  7 +++++++
 app/views/ops/_settings_authentication_tab.html.haml | 14 ++++++++------
 2 files changed, 15 insertions(+), 6 deletions(-)

Comment 4 Matt Pusateri 2017-04-07 15:36:18 UTC
Verified on 5.7.2.0, both by enabling/disabling "disable local logins" in the webui, and the appliance console. 

Discovered this bug in the process. https://bugzilla.redhat.com/show_bug.cgi?id=1440229

Comment 5 errata-xmlrpc 2017-04-12 14:41:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.